uuid: 3d432af9-0538-43ad-9a47-99c0e57f16a1
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.teaser
    - field.field.node.blog_post.body
    - field.field.node.blog_post.field_blog_category
    - field.field.node.blog_post.field_blog_featured_image
    - field.field.node.blog_post.field_blog_tags
    - field.field.node.blog_post.field_blog_type
    - field.field.node.blog_post.field_exclude_from_search
    - field.field.node.blog_post.field_featured
    - field.field.node.blog_post.field_gallery_images
    - field.field.node.blog_post.field_gallery_placement
    - field.field.node.blog_post.field_keywords
    - field.field.node.blog_post.field_published_datetime
    - image.style.medium
    - node.type.blog_post
  module:
    - smart_trim
    - svg_image
    - user
id: node.blog_post.teaser
targetEntityType: node
bundle: blog_post
mode: teaser
content:
  body:
    type: smart_trim
    label: hidden
    settings:
      trim_length: 500
      trim_type: chars
      trim_suffix: ''
      wrap_output: false
      wrap_class: trimmed
      more:
        display_link: false
        target_blank: false
        link_trim_only: false
        class: more-link
        text: More
        aria_label: 'Read more about [node:title]'
      summary_handler: full
      trim_options:
        text: true
        trim_zero: false
    third_party_settings: {  }
    weight: 1
    region: content
  content_moderation_control:
    settings: {  }
    third_party_settings: {  }
    weight: -20
    region: content
  field_blog_featured_image:
    type: image
    label: hidden
    settings:
      image_link: content
      image_style: medium
      image_loading:
        attribute: lazy
      svg_attributes:
        width: null
        height: null
      svg_render_as_image: true
    third_party_settings: {  }
    weight: 0
    region: content
  links:
    settings: {  }
    third_party_settings: {  }
    weight: 2
    region: content
hidden:
  field_blog_category: true
  field_blog_tags: true
  field_blog_type: true
  field_exclude_from_search: true
  field_featured: true
  field_gallery_images: true
  field_gallery_placement: true
  field_keywords: true
  field_published_datetime: true
  search_api_excerpt: true
